• Print  |
  • Feedback  |

Knowledge Base

SAS 9.2 (TS2M3) Support for Java Runtime Environments

This page describes the minimum version requirements of Java Runtime Environments (JRE) for use with SAS 9.2 Maintenance 3. It is possible to use updated versions of the third party software listed below. See SAS Third Party Software Requirements - Baseline and Higher Support for more details.

Java Runtime Environments for SASŪ 9.2 Foundation and SASŪ Client Applications

SASŪ 9.2 Foundation and some SASŪ 9.2 Client Applications require the use of a Java Runtime Environment (JRE). These JRE are provided by IBM, Oracle, and HP. The following table lists the versions of the JRE that are recommended for use with SASŪ 9.2 and will be installed by the SASŪ Deployment Wizard depending on the platform where the installation is occurring. The JRE may also be obtained directly from the vendors listed in the table.

Please read the following instructions if an alternative JRE or JDK is intended for use after SASŪ 9.2 has been installed and configured.

Application servers and servlet engines require a full Java Software Development Kit (JDK). See the list of Java Development Kits required by supported application servers.

Platform Version Vendor Download Notes
HP-UX PA-RISC 5.0.08 HP  
6.0.02 HP  
HP-UX Itanium 5.0.08 HP  
6.0.02 HP  
OpenVMS Itanium 5.0-2 HP  
6.0-1 HP  
Linux
32-bit on x86
Java 5 Update 14 Oracle  
Java 6 Update 14 Oracle  
Linux
64-bit x86-64
Java 5 Update 14 Oracle The supported JRE is 32-bit. Be sure to select a download whose name includes "linux-i586". The 64-bit JREs are not supported.
Java 6 Update 14 Oracle The supported JRE is 32-bit. Be sure to select a download whose name includes "linux-i586". The 64-bit JREs are not supported.
z/OS Java 5 31-bit SDK IBM Cannot be redistributed due to licensing restrictions. The 31-bit Java 5 SDK is required.
Java 6 31-bit SDK IBM Cannot be redistributed due to licensing restrictions. The 31-bit Java 6 SDK is required.
AIX

Java 5 SR5, 5.0.0.125 fileset, pap32dev-20070511

IBM The 32-bit JRE is required
Please see the IBM Developer Kit FAQ for further details.

Java 6 SR3, 6.0.0.75 fileset, pap3260sr3-20081106_07

IBM The 32-bit JRE is required
Please see the IBM Developer Kit FAQ for further details.
Solaris
64-bit on SPARC
Java 5 Update 12 Oracle The supported JRE is 32-bit.
Java 6 Update 14 Oracle The supported JRE is 32-bit. Be sure to select the download whose name includes "solaris-sparc.sh". The download whose name includes "sparcv9" is a 64-bit JRE and is not supported.
Solaris
64-bit on x86-64
Java 5 Update 12 Oracle The supported JRE is 32-bit. Be sure to select a download whose name includes "solaris-i586". The 64-bit JRE is not supported.
Java 6 Update 14 Oracle The supported JRE is 32-bit. Be sure to select a download whose name includes "solaris-i586". The 64-bit JRE is not supported.
Windows
32-bit on x86
Java 5 Update 12 Oracle Java 5 is not supported on Windows 7 and Windows Server 2008 R2. Do not select the "Use the recommended Java Runtime Environment" option in SAS Deployment Wizard. You must install Java 6 as listed below.
Java 6 Update 14 Oracle  
Windows
64-bit on Itanium
1.5.0_08 (5.0 R27.1) Contact Oracle Java 5 is not supported on Windows 7 and Windows Server 2008 R2. Do not select the "Use the recommended Java Runtime Environment" option in SAS Deployment Wizard. You must install Java 6 as listed below.
Java 6 Update 12 Oracle  
Windows
64-bit on x86-64
Java 5 Update 12 Oracle The supported JRE is 32-bit. Be sure to select a download whose name includes "windows-i586". The 64-bit JRE is not supported.

Java 5 is not supported on Windows 7 and Windows Server 2008 R2. Do not select the "Use the recommended Java Runtime Environment" option in SAS Deployment Wizard. You must install Java 6.
Java 6 Update 14 Oracle The supported JRE is 32-bit. Be sure to select a download whose name includes "windows-i586". The 64-bit JREs are not supported.
Windows
Server 2008 R2
Java 6 Update 23 Oracle The supported JRE is 32-bit. Be sure to select a download whose name includes "windows-i586". The 64-bit JRE is not supported.